

@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');
@font-face {
    font-family: 'Cinema Sunday';
    src: url('https://montegani68.it/wp-content/themes/astra-child/assets/fonts/cinema-sunday/cinema-sunday.woff2') format('woff2'),
    url('https://montegani68.it/wp-content/themes/astra-child/assets/fonts/cinema-sunday/cinema-sunday.woff') format('woff'),
    url('https://montegani68.it/wp-content/themes/astra-child/assets/fonts/cinema-sunday/cinema-sunday.ttf') format('truetype'),
    url('https://montegani68.it/wp-content/themes/astra-child/assets/fonts/cinema-sunday/cinema-sunday.eot') format('embedded-opentype');
    font-weight: normal;
    font-style: normal;
}


:root{
    --fontTitoli: 'Cinema Sunday', sans-serif;
    --fontTesto: "Montserrat", sans-serif;
    --colore-primario: #620C0D;
}

#content .wp-block-heading, 
#content .wp-block-heading { 
    font-family: var(--fontTitoli);
    font-weight: 400 !important;
} 

#content *:not(.wp-block-heading) {
    font-family: var(--fontTesto);
}
.fa-brands, .fab {
    font-family: "Font Awesome 6 Brands" !important;
}
.h-100hv {
    height: 100vh;
}
.colorPrimary {
    color: var(--colore-primario) !important;
}
.titoloCustom {
    font-weight: 700 !important;
    font-family: var(--fontTesto) !important;
}
.fa-solid::before {
    font-family: "Font Awesome 6 Free" !important;
}
.is-content-justification-space-between {
    justify-content: space-between;
}
#servizi-immobiliari-legali p a {
    color: var(--colore-primario) !important;
}
/* Header left dektop*/
@media screen and (min-width: 992px) {
    .site-header {
        width: 330px;    
        position: fixed;
        height: 100vh;
        background: rgba(0,0,0,0.5) !important;
    }
    .site-header-section {
        height: auto !important;
    }
    .ast-primary-header-bar { 
        background: rgba(0,0,0,0.5) !important;
    }
    .ast-builder-grid-row.ast-builder-grid-row-has-sides.ast-builder-grid-row-no-center {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        height: 500px;
        align-items: center;
    }
    .ast-primary-header-bar .site-primary-header-wrap {
        min-height: 100vh;
    }
    .ast-flex {
        -js-display: flex;
        display: flex;
        flex-wrap: wrap;
        flex-direction: column;
        align-items: center;
    }
    .ast-desktop .ast-primary-header-bar .main-header-menu > .menu-item {
        line-height: normal;
        padding-top: 12px;
        padding-bottom: 12px;  
        text-align: center;  
    }
    .site-logo-img img {
        transition: all 0.2s linear;
        padding-bottom: 25px;
    }
    .ast-desktop .ast-primary-header-bar .main-header-menu > .menu-item a{
        color: #a0a0a0;
        text-transform: uppercase;
        font-size: 14px;
        font-weight: 600 !important;
    }

    header .ast-container { 
        padding-left: 74px !important;
        padding-right: 74px !important;
    }
    .pl-330 {
        padding-left:  330px !important; 
    }
}

.infoSito p {
    margin-bottom: 5px !important;
    color: #707070 !important;
    font-size: 14px !important;
}
.infoSito * { 
    color: #707070 !important;
}

.separatoreVerticale img{
    width: 20px; 
}
.socials {
    margin-top: 10px; 
    width: 100%;
    justify-content: space-evenly;
    display: flex;
}
.socials a {
    color: #707070;
    padding: 0 5px;
}
.socials a:hover {
    color: var(--colore-primario);
}

/*Sezione Servizi*/
ul.wp-block-list  {
    list-style-type: none; /* Rimuove i pallini predefiniti */
    padding-left: 0; /* Rimuove il padding predefinito della lista */
  }
  
ul.wp-block-list  li {
    background-image: url('https://montegani68.it/wp-content/uploads/2025/03/Raggruppa-17.svg');
    background-repeat: no-repeat;
    background-position: 0 0px;
    padding-left: 20px;
    margin-bottom: 5px;
    background-size: 15px;
  }


/*Sezione Team*/
.team-item { 
    background-color: #fff;
}

.team-item img {
    max-width: 100%;
    height: auto;
}
.team-item-content {
    min-height: 200px;
}
.team-item-content h3 {
    font-size: 20px;
    margin-bottom: 10px !important;
}
.team-item-content p {
    font-size: 14px;
}
a.social__team {
    background: var(--colore-primario);
    padding: 5px 7px;
    border-radius: 50%;
    color: #fff !important;
    border: 1px solid var(--colore-primario);
    transition: all .3s ease-in-out;
}
a.social__team:hover {
    background-color: transparent !important;
    color: var(--colore-primario) !important;
}
@media screen and (max-width:992px) {
    .mw-100 {
        width: 100% !important;
    }
    .is-horizontal {
        flex-direction: column;
    }
    .ast-primary-header-bar {
        background-color: var(--colore-primario);
    }
    .ast-primary-header-bar img {
        height: 60px;
    }
    /*.main-navigation {
        position: absolute;
        left: 0;
        top: -90px;
        width: 250px !important;
        z-index: 9999;
        height: 100vh !important;
        background: #fff;
        padding-top: 35px !important;
        transition: all 0.5s ease-in-out;
    }
    .ast-main-header-nav-open {
        overflow: hidden;
    }
    */
    .ast-header-break-point #ast-mobile-header {
        display: block;
        max-height: 90px;
    }
    .admin-bar .menu-wrapper {
        top: 40px !important;
    }
    .wrapper {
        width: 0; /* Larghezza iniziale a 0 per nascondere il contenitore */
        height: 100vh; /* Altezza del menu aperto (intera viewport) */
        position: fixed;
        top: 0;
        left: 0;
        z-index: 9999;
        transition: width 0.3s ease; /* Transizione per l'apertura/chiusura */
    }
    
    .mobileMenuOpen .wrapper {
        width: 70vw; /* Larghezza del menu aperto (metà schermo) */
    }
    
    .menu-wrapper {
        width: 70vw;
        height: 100vh;
        position: fixed;
        top: 0;
        left: -70vw; /* Inizialmente nascosto a sinistra */
        background-color: #000 !important;
        z-index: 9998;
        transition: left 0.3s ease; /* Transizione per lo scorrimento */
    }
    
    .menu-wrapper.show {
        left: 0; /* Mostra il menu */
    }
    
    .menu-wrapper ul {
        list-style: none;
        padding: 20px;
    }
    
    .menu-wrapper li {
        padding: 10px 0;
    }
    .ast-mobile-svg.ast-menu-svg,
    .ast-mobile-svg.ast-close-svg {
        fill: #FFF !important;
        width: 40px !important;
        height: 40px !important;
    }

    #ast-hf-mobile-menu,
    #ast-hf-mobile-menu li,
    #ast-hf-mobile-menu li a{
        background-color: #000;
        text-transform: uppercase;
        font-family: var(--fontTesto) !important;
        font-weight: 600 !important;
        font-size: 14px !important;
    }

    .ast-builder-menu-mobile .main-navigation .main-header-menu .menu-item > .menu-link {
        color: #707070 !important;
        font-size: 20px;
        line-height: 28px;
    }
    .last__panel {
        text-align: left;
        align-items: start;
        padding: 5px 30px;
    }
    .last__panel .infoSito {
        text-align: left !important;
    }
        
    .infoSito p {
        margin-bottom: 5px !important;
        color: #707070 !important;
        font-size: 16px !important;
    }
}

.arrow__prev, .arrow__next {
    display: none;
}
/* Nascondi le frecce esterne da mobile */
/* Nascondi le frecce esterne da mobile (se le avevi) */
@media (max-width: 767px) {
    h2.wp-block-heading {
        font-size: 30px !important;
    }
    h4.wp-block-heading {
        font-size: 20px !important; 
    }
    #content p,
    #content li {
        font-size: 18px !important;
        line-height: 22px !important;
    }
    
    #owlPartners .partner-item img { 
        max-height: 60px;
        height: 60px;
        width: auto;
        text-align: center;
        margin: 0 auto;
    }
}



/* Stile delle frecce di Owl Carousel */
.owl-nav {
    position: absolute;
    top: 50%;
    left: 0;
    right: 0;
    transform: translateY(-50%);
}

#owlTeam .owl-nav button.owl-prev,
#owlTeam .owl-nav button.owl-next {
    background-color: rgba(0, 0, 0, 0.5);
    color: #fff;
    padding: 10px 20px;
    border: none;
    cursor: pointer;
    position: absolute;
    background: var(--colore-primario) !important;
    padding: 10px 13px !important;
    border-radius: 50px !important;
    border-color: var(--colore-primario) !important;
}


#owlTeam .owl-nav button.owl-prev:focus,
#owlTeam .owl-nav button.owl-next:focus,
#owlTeam .owl-nav button.owl-prev:hover,
#owlTeam .owl-nav button.owl-next:hover {
    border-color: var(--colore-primario) !important;

}
#owlTeam .owl-dots {
    justify-content: center;
    display: flex !important;
    gap: 10px;
    padding-top: 30px;

}
#owlTeam .owl-dot {
    background-color: #a0a0a0;
    border-radius: 50%;
    width: 10px;
    height: 10px;
}

#owlTeam .owl-dot.active {
    background-color: var(--colore-primario);
    border-radius: 30px;
    width: 30px; 
    height: 10px;
}

.owl-nav button.owl-prev {
    left: 10px;
}

.owl-nav button.owl-next {
    right: 10px;
}
.arrow__next, .arrow__prev {
    padding: 10px 14px;
    border: 4px solid;
    border-radius: 50px;
    cursor: pointer;
    color: var(--colore-primario);
}
.arrow__next:hover, .arrow__prev:hover { 
    background: var(--colore-primario);
    color: #FFF;
    border-color: var(--colore-primario) !important;
}


/* Nascondi le frecce di Owl Carousel da desktop */
@media (min-width: 768px) {
    .owl-nav {
        display: none;
    }
}

@media (max-width:768px) {
    #ast-mobile-header.sticky-header {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        z-index: 100; /* Assicurati che l'header sia sopra gli altri elementi */
        /* Aggiungi altri stili per l'header sticky (es. background, ombra, ecc.) */
    }   
}
.grecaptcha-badge {
    visibility: hidden;
}

/*Sezione Contatti*/
.formContatto label {
    width: 100%;
    color: #fff;
}
.formContatto input,
.formContatto textarea {
    border: 0 !important;
    border-bottom: 1px solid #FFF !important;
    background-color: transparent;
    border-radius: 0 !important;
    color: #FFF;
}

.formContatto input:focus,
.formContatto textarea:focus { 
    color: #333;
    background-color: #FFF;
}

.formContatto input[type="submit"] {
        background: #ffff;
        color: #000;
        text-transform: uppercase;
        font-size: 14px;
        border: 1px solid transparent !important; 
        transition: all .2s ease-in-out;
}

.formContatto input[type="submit"]:hover {
    background-color: transparent;
    color: #FFF;
    border-color: #fff !important; 
    border: 1px solid #fff !important;
}
.formContatto .wpcf7-not-valid-tip {
    background-color: rgba(255, 255, 255, 0.8);
    padding: 0 20px;
}

.wp-block-contact-form-7-contact-form-selector {
    width: 100%;
}
.wpcf7-acceptance .wpcf7-list-item {
    margin-left: 0 !important;
}
.wpcf7-acceptance a {
    color: #FFF !important;
    text-decoration: underline;
}
.success-message {
    text-align: center;
}

.success-box {
    background-color: #fff;
    border-radius: 0px;
    padding: 20px;
    display: inline-block;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    width: 100%;
}
.wpcf7 form.sent .wpcf7-response-output { 
    border: 0 !important; 
    padding: 0 !important; 
    margin: 0 !important;
}

.check-icon {
    width: 50px;
    height: 50px;
    background-color: #4CAF50; /* Colore di sfondo verde */
    border-radius: 50%;
    position: relative;
    margin: 0 auto 10px;
}

.check-icon:after {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    width: 20px;
    height: 10px;
    border-left: 3px solid #fff;
    border-bottom: 3px solid #fff;
    transform: translate(-50%, -50%) rotate(-45deg);
}

@keyframes checkmark {
  0% {
    transform: translate(-50%, -50%) rotate(-45deg) scale(0);
  }
  60% {
    transform: translate(-50%, -50%) rotate(-45deg) scale(1.2);
  }
  100% {
    transform: translate(-50%, -50%) rotate(-45deg) scale(1);
  }
}

.animate-check:after {
  animation: checkmark 0.5s ease-in-out forwards;
}

/*Partners*/
/* Aggiungi qui gli stili personalizzati per il carosello dei partner */
#owlPartners .partner-item {
    text-align: center;
}
#owlPartners .partner-item {
    border: 1px solid #707070;
    padding: 15px;
}
#owlPartners .partner-item img { 
    max-height: 70px;
    width: auto;
    text-align: center;
    margin: 0 auto;
}
#le-nostre-realta .arrow__next, 
#le-nostre-realta .arrow__prev {
    padding: 5px 9px;
}


/*Footer*/
.site-below-footer-wrap[data-section="section-below-footer-builder"] {
    background-color: #000;
    padding-top: 5px !important;
    padding-bottom: 5px !important;
    color: #FFF !important;
}
.site-below-footer-wrap[data-section="section-below-footer-builder"] *{ 
    color: #FFF !important;
    font-size: 12px !important;
}
 